| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::Volume::SimplexNoise Class Reference
Optional Components » Volume

Simplex Noise ported from public domain Java Implementation http://webstaff.itn.liu.se/~stegu/simplexnoise/SimplexNoise.java Thanks Stefan Gustavson! More...

`#include <OgreVolumeSimplexNoise.h>`

## Public Member Functions
| SimplexNoise (void)
| Constructor with a random permutation table. More...
| SimplexNoise (unsigned long definedSeed)
| Constructor with a by seed defined permutation table. More...
long | getSeed (void) const
| Gets the current seed. More...
Real | noise (Real xIn, Real yIn, Real zIn) const
| 3D noise function. More...

## Detailed Description

Simplex Noise ported from public domain Java Implementation http://webstaff.itn.liu.se/~stegu/simplexnoise/SimplexNoise.java Thanks Stefan Gustavson!

## Constructor & Destructor Documentation

## ◆ SimplexNoise() [1/2]

Ogre::Volume::SimplexNoise::SimplexNoise | ( | void |  | ) |

Constructor with a random permutation table.

## ◆ SimplexNoise() [2/2]

Ogre::Volume::SimplexNoise::SimplexNoise | ( | unsigned long | definedSeed | ) |

Constructor with a by seed defined permutation table.

Parameters

  definedSeed | The seed to use.

## Member Function Documentation

## ◆ noise()

Real Ogre::Volume::SimplexNoise::noise | ( | Real | xIn,
|  | Real | yIn,
|  | Real | zIn
| ) |  | const

3D noise function.

Parameters

  xIn | The first dimension parameter.
  yIn | The second dimension parameter.
  zIn | The third dimension parameter.

Returns
  The noise value.

## ◆ getSeed()

long Ogre::Volume::SimplexNoise::getSeed | ( | void |  | ) | const

Gets the current seed.

Returns
  The current seed.

The documentation for this class was generated from the following file:

- OgreVolumeSimplexNoise.h